Bug 508029 - KMS for Intel Graphics Media Accelerator 900 card does not work
KMS for Intel Graphics Media Accelerator 900 card does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 04:23 EDT by Panos Kavalagios
Modified: 2010-05-05 03:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 03:33:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panos Kavalagios 2009-06-25 04:23:47 EDT
Description of problem: Plymouth graphics boot and virual consoles do not work


Version-Release number of selected component (if applicable): kernel-2.6.29.4-167.fc11.x86_64


How reproducible: Install Fedora 11 and boot in a system having D915GEV (http://www.intel.com/support/motherboards/desktop/D915GEV/index.htm) motherboard


Steps to Reproduce:
1. Boot the system
2. No graphical plymouth boot, but the three-coloured bar at the bottom instead
3. When boot process is over, press CTRL-ALT-F2 to F6
  
Actual results: Nothing happens when you try to switch to a virtual console. You still see the display of your X, but without being able to use your mouse or keyboard. Pressing CTRL-ALT-F1, you can return back to your X display.


Expected results: KMS should be functioning and both plymouth graphical boot and virtual console switching should have been available.


Additional info: Booting a custom compiled kernel 2.6.30 resolves the problem of plymouth graphical boot and if you remove the KMS support you can switch to virtual consoles in the old fashion. Using intel Xorg driver xorg-x11-drv-intel-2.7.0-7.fc11.x86_64:

(II) LoadModule: "intel"
(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
...
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,

for Intel graphics card:

VGA compatible controller: Intel Corporation 82915G/GV/910GL Integrated Graphics Controller (rev 04)
Comment 1 Panos Kavalagios 2009-06-25 10:50:53 EDT
Plymouth problem is probably irrelevant. I've run:

/usr/libexec/plymouth/plymouth-update-initrd


and now it works fine for the default distribution kernel. Virtual console problem however persists.
Comment 2 Panos Kavalagios 2009-09-04 03:50:06 EDT
Virtual consoles can be accessed only by supplying the kernel argument nomodeset. 

Maybe this bug has to be moved to xorg-x11-drv-intel-2.7.0-7.fc11.x86_64 as the section "6.2 Miscellaneous problems with Intel graphics adapters" in common bugs of F11 suggests. I have also tried the AccelMethod methods suggested there to no avail.
Comment 3 Panos Kavalagios 2009-09-16 11:59:59 EDT
KMS is now working fine with:

xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64
kernel-2.6.30.5-43.fc11.x86_64

Problem fixed! Please, change the resolution to FIXED.
Comment 4 Bug Zapper 2010-04-27 11:14:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeff Raber 2010-05-05 03:33:58 EDT
Closing as per comment 3

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.